API overview
API overview
Base URL: https://api.verbitas.io
All endpoints follow REST conventions and return JSON.
Authentication
All requests require a Bearer token:
Authorization: Bearer vb_{env}_{token}Token prefixes:
vb_test_— test/sandbox environmentvb_prod_— production environment
Error format (RFC 7807)
{ "type": "https://docs.verbitas.io/errors/rate_limited", "title": "Rate limit exceeded", "status": 429, "detail": "Free plan: 1 request/second on /v1/sign", "request_id": "req_01927abc"}Every error includes a request_id for support escalation. Stack traces are never included in API responses.
Rate limits
| Plan | Sign | Verify | Lookup |
|---|---|---|---|
| Developer | 1 rps | 5 rps | 1 rps |
| Growth | 10 rps | 50 rps | 50 rps |
| Enterprise | Custom | Custom | Custom |
Versioning
All endpoints are under /v1/. Future breaking changes will be introduced under /v2/
with a deprecation notice and migration window.